#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Thu Sep 15 23:05:34 2022

@author: wangh
"""

import pandas as pd
import numpy as np





file_inp = "TUAA2.2020-2023.Daily.xlsx"
file_out = "Data_input/TUAA2.2020-2023.Jul.xlsx"
#get data
SG_Data = pd.read_excel(file_inp, sheet_name="July_tem")


#------------------sedge-----------------------
tem = np.array(SG_Data["Tem (C)"].tolist())
time = np.array(SG_Data["Time"].tolist())
time_tmp = np.chararray.split(time, "T",1)
#time_tmp = np.chararray.split(time, "-",2)

time_p2 = time_tmp.tolist()
time_p2 = np.array(time_p2)
date = time_p2[:,0]
uniq_date = np.unique(date)



ndata = len(uniq_date)
tem_daily = np.zeros(ndata)

data_out = pd.DataFrame(np.zeros((ndata,2)),columns = ["Time","Tem (C)"])

for i in np.arange(len(uniq_date)):  
    
    index = np.where(date == uniq_date[i])
    #print(index)
    print(uniq_date[i])
    tem_ary = tem[index]
    #print(len(tem_ary))
    
    tem_tmp = np.nanmean(tem_ary)
    
    tem_daily[i] = tem_tmp
tem = tem[~np.isnan(tem)]
per95 =np.percentile(tem_daily, 95)
per90 =np.percentile(tem_daily, 90)
per95_hour = np.percentile(tem, 95)
print(per95)
print(per90)
print(np.nanmean(tem_daily))
data_out.iloc[:,0]=uniq_date
data_out.iloc[:,1]=tem_daily
data_out.to_excel(file_out,sheet_name="July_tem")